org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match

## Class DefaultMatchEngineConfiguratorUI

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.AbstractConfigurationUI
          - - org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match.DefaultMatchEngineConfiguratorUI

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class DefaultMatchEngineConfiguratorUI
    extends AbstractConfigurationUI

`AbstractConfigurationUI` for `DefaultRCPMatchEngineFactory`.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMatchEngineConfiguratorUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createContent()` Content of this composite.
`void` `resetDefault()` Called to restore default preferences.
`void` `storeConfiguration()` Used to store the configuration.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.AbstractConfigurationUI

`getPreferenceStore`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### DefaultMatchEngineConfiguratorUI

    public DefaultMatchEngineConfiguratorUI(org.eclipse.swt.widgets.Composite parent,
                                            int style,
                                            org.eclipse.jface.preference.IPreferenceStore store)

### Method Detail

#### createContent

    public void createContent()

Description copied from class: `AbstractConfigurationUI`
Content of this composite. This should be overriden by clients.

Specified by:
  `createContent` in class `AbstractConfigurationUI`

#### storeConfiguration

    public void storeConfiguration()

Used to store the configuration. Implementation should store all the configuration in the `Preferences`.

Specified by:
  `storeConfiguration` in class `AbstractConfigurationUI`

#### resetDefault

    public void resetDefault()

Called to restore default preferences. This should be used to reset the configuration in the store.

Specified by:
  `resetDefault` in class `AbstractConfigurationUI`